# TSSetSolutionBC

Sets the function which applies boundary conditions to the solution of each system. This is necessary in nonlinear systems which time dependent boundary conditions.

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSSetSolutionBC(TS ts, PetscErrorCode (*func)(TS, Vec, void *))

Collective on TS

### Input Parameters

| ts | - The TS context obtained from TSCreate()
| func | - The function

### Calling sequence of func

func (TS ts, Vec rsol, void *ctx); - + sol - The current solution vector
ctx -The user-context

### Keywords

TS, solution, boundary conditions

Level:intermediate
Location:src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages